---
title: 【架空】基于反物质本位币的未来货币体系设计
tags: []
id: '2718'
categories:
  - - 杂感
date: 2023-05-06 23:25:46
---

以正电子和反质子为主币的复本位制货币体系，1个反质子等于1836个正电子，货币单位为E$，1 E$ 为6e16个反质子，1 E$的反质子与相同数量的质子完全湮灭产生的能量约为5千瓦时。

## 主要设计

基于反物质本位币的未来货币体系设计如下：

*   货币单位：E$，1 E$ 为6e16个反质子。
*   本位币：正电子和反质子，1个反质子等于1836个正电子
*   生产及储存反物质：利用【反物质生产技术】和【反物质储存技术】来生产和储存反物质。
*   反物质发电：利用【反物质发电技术】将反物质的能量转换为电能。
*   储能缓冲单元：将能量通过【电能储存技术】存储，实现储能缓冲。
*   内部支付方式：利用区块链技术，通过数字化货币购买、交易等方式进行支付。每个钱包应该可以存储或使用小于1 E$ 的金额。
*   外部支付方式：通过【反物质储存技术】制造的反物质储存罐，直接交易正电子和反质子。
*   稳定性保障：质能守恒定律

## 基本技术

*   【反物质发电技术】，可以无损失地将反物质湮灭产生的能量转换为电能
*   【反物质储存技术】，采用磁场约束，分开储存正电子和反质子
*   【电能储存技术】，似超级电容，可以存储大量的电能，用作【反物质发电技术】中的储能缓冲单元
*   【反物质生产技术】，可以无损失地将电能/光能转换为相应质量的反物质和物质

### 反物质发电技术

1.  储备反物质：将生产出的反质子利用【反物质储存技术】进行储存。
2.  贮存能量：将电能储存进入【电能储存技术】中作为储能缓冲单元。
3.  转换反物质：将相等量的反物质与质子通过磁场约束，进入特定的反应堆中，进行湮灭反应。在这种反应中，反物质与普通物质相遇，它们将彼此湮灭，变成纯净的能量，释放出大量的热和光能。这种能量被抽出，并通过转化器转化为电压、电流输出到储能缓冲单元中，稳定后接入电网中，供给需要的电力。

### 反物质储存技术

1.  用磁场进行储存：采用超导磁体和磁场约束技术，将反质子和正电子分别储存在磁场中的相对稳定的位置上，避免它们与周围普通物质接触，从而确保它们的稳定和保持储存状态

### 电能储存技术

1.  储存设备构成：通常由两个带电电极和一个介质的储存单元组成，其中带电电极用来储存电能，而介质则用来隔离两个电极之间的电荷。
2.  储存过程：将直流电源连接到储存器的带电电极上，可以在电极和介质之间形成一个静电场。静电场能将电子吸附到带电电极上，从而形成负电荷，并促进带电电极上的电子流。在同一时间内，正电荷将在另一个电极的表面上形成。

### 反物质生产技术

1.  产生反物质：在反物质生产设备中，利用激光器/恒星光产生高能光子高密度区，高密度区中的高能光子相互碰撞，产生物质和反物质
2.  从反物质云中捕获反物质：将反物质云聚焦于一个小的区域，并在一个真空舱内，将正反物质分离捕获。这个过程通常采用电磁场，可以引导反物质飞到特定位置。

## 能量来源

制造一堆反光镜阵列，将其均匀地环绕在太阳周围，每个反光镜阵列中央都配备着一个反物质生产单元。这些反光镜可以将太阳的光子聚集到极高的密度，让光子互相碰撞，从而产生出物质和反物质。反物质将被分离并储存到阵列中的反物质储存罐中。再定时由无人机往返收集到空间站的反物质储存罐中。