---
title: 【翻译】基于mRNA的疗法——开发一类新药物
tags: []
id: '1827'
categories:
  - - 转载
date: 2022-05-15 08:53:53
---

#### DOI：[https://doi.org/10.1038/nrd4278](https://doi.org/10.1038/nrd4278)

## 摘要

近期，体外转录（IVT，利用带启动子的模板和相应的RNA酶，在体外合成μg至mg量级的任何几个至几千个碱基序列的RNA分子）mRNA作为一类可以递送遗传信息的潜在新药物而备受关注。这种合成的mRNA能被设计成类天然mRNA结构而获得暂时表达蛋白质的能力。在控制IVTmRNA翻译效率和免疫原性方面取得的进展，为潜在的广泛应用提供了基础。基于mRNA的癌症免疫疗法和传染病疫苗已经进入临床开发阶段。同时，新兴的技术还有体内递送IVTmRNA以取代或补充蛋白质、基于IVTmRNA的多能干细胞开发、使用IVTmRNA编码的核酸酶来进行基因工程等。本综述全面概括了基于mRNA的药物技术及其应用的现状，并讨论了将这些技术开发成一类新药物的关键挑战和机遇。

## 正文

核酸编码药物的概念是二十多年前提出的，当时Wolff等人的研究表明将IVTmRNA或pDNA直接注射到小鼠骨骼肌中会有所编码蛋白质的表达。由于mRNA不如DNA稳定，因此当时更专注于基于pDNA和病毒DNA的技术。自1961年发现mRNA以来，其一直是各种疾病的基础研究和应用研究的主题。在最初的几十年中，重点是了解mRNA的结构、功能和在真核细胞中的代谢，这有助于更广泛的研究群体获得研究mRNA重组工程的工具。90年代，IVTmRNA的临床前探索开始用于蛋白质代偿、癌症和传染病的疫苗等多样化的领域。由此而积累的知识，使其短半衰期和免疫原性等方面问题在近期得以解决。

IVTmRAN的治疗方法与其他基于核酸的疗法相比有以下关键差异：1、IVTmRNA不需要进入细胞核，只需要到达细胞质即可发挥作用，而基于DNA的疗法需要细胞在分裂时核膜破裂后才能进入细胞核转录成RNA；2、IVTmRNA不会整合到基因组中，因此不会造成插入突变，而pDNA和病毒载体不行；3、IVTmRNA仅具有短暂活性，会通过生理代谢途径完全降解。

在治疗性癌症疫苗领域，IVTmRNA经历了广泛的临床前研究，已经到了III期临床试验阶段。在肿瘤学中的蛋白质替代疗法、心脏病、内分泌、血液病、肺病等治疗中，基于IVTmRNA的疗法尚处于临床前阶段。mRNA的靶向递送和复杂的药理学仍有待解决。

### mRNA药理学的主要概念

使用 IVT mRNA 作为药物背后的原理是将设计的遗传信息转移到患者的细胞中，以达到预防或改变特定疾病状态的目的。目前有两种方法：1、先离体转移IVTmRNA到患者的细胞中，然后将这些转染的细胞过继地施用于患者；2、直接递送IVTmRNA。

第一种方法可以用于基因组工程、基因重编程、基于T细胞核树突细胞的免疫治疗、蛋白质替代治疗。第二种方法可以用肿瘤、传染病、过敏、蛋白质替代等领域。两种方法均遵循以下原则

*   转染的细胞将信息在体内翻译成具有药理活性的蛋白质，与siRNA治疗起效方式相反
*   IVTmRNA具有5’帽和3’polyA尾，单链，ORF由起始和终止密码子标记，两侧为UTR非翻译区。
*   IVTmRNA 是在无细胞系统中通过从 DNA 模板（例如线性化质粒或 PCR 产物）进行体外转录而合成的。除 5' 帽外，该 DNA 模板编码功能性 mRNA 的所有结构元素。在存在核苷酸的情况下，使用 T7 或 SP6 RNA 聚合酶进行体外转录，然后将 mRNA 酶加帽。然后模板 DNA 被 DNA 酶消化，并且 mRNA 被用于分离核酸的常规方法纯化。
*   IVTmRNA 必须从细胞外空间进入细胞质。
*   细胞外空间存在RNase、细胞膜阻碍带负电的大mRNA分子扩散入细胞。虽然真核细胞能主动吞噬裸露的mRNA，但是摄取量不足万分之一。因此常将 IVT mRNA 与复合剂一起配制来改善细胞的转染，复合剂可以保护 mRNA 免受 RNases 的降解，并且还可以作为其细胞摄取的促进剂
*   进入细胞质的 IVTmRNA受到和天热mRNA相同的调控，IVTmRNA 模板和蛋白质产物的半衰期是基于 mRNA 的疗法的药代动力学的关键决定因素。
*   编码的蛋白质由信号肽决定其目的地，可以进入不同细胞区室，分泌入邻近细胞或释放入血
*   对于免疫疗法，蛋白酶体降解产物可以经MHCI呈递，通过分泌信号使蛋白质进入细胞外空间，可以经MHCII途径呈递

### 提高 mRNA 的翻译和稳定性

*   5' 帽
*   相当大比例的 m 7 GpppG 类似物反向掺入到 mRNA 中，因此不被翻译机器识别，导致翻译活性降低。
*   抗反向帽类似物（ARCA) 加帽 mRNA 在各种细胞类型中表现出卓越的翻译效率
*   含硫代磷酸酯的 ARCA 帽类似物赋予对 DCP2 脱帽的抵抗力，从而进一步延长 mRNA 的半衰期
*   含有硫代磷酸酯修饰帽的 IVT mRNA 可诱导针对编码蛋白质的有效免疫反应，并且该反应比带有对照帽的 mRNA 诱导的免疫反应更强
*   帽类似物对 IVT mRNA 的翻译和稳定性的影响似乎取决于细胞类型和细胞分化状态

*   3’polyA尾
*   IVT mRNA 通过在模板载体中编码 poly(A) 片段进行加尾，或者通过使用重组 poly(A) 聚合酶酶促延伸 IVT mRNA 的两步反应进行。
*   重组多聚 (A) 聚合酶能够将修饰的核苷酸掺入多聚 (A) 尾部，以抑制多聚 (A) 特异性核酸酶的去腺苷酸化
*   DC 中的分析表明，poly(A) 尾的 3' 末端不应被额外的碱基所掩盖，并且 poly(A) 尾的最佳长度在 120 和 150 个核苷酸之间

*   5'-和 3'-UTR
*   优化 IVT mRNA 在细胞中的翻译和稳定性的另一种策略是掺入含有调节序列元件的 5'-和 3'-UTR，这些调节序列元件已被鉴定为调节内源 mRNA 的翻译和稳定性
*   包含 α-和 β-珠蛋白 mRNA 的 3'-UTR，这些 mRNA 含有几个序列元件，可增加 mRNA 的稳定性和翻译
*   以头对尾方向排列的两个人 β-珠蛋白 3'-UTR进一步增强了人 β-珠蛋白 3'-UTR 序列的稳定作用
*   真核延伸因子 1α ( EEF1A1 ) mRNA的 3'-UTR和存在于许多正痘病毒 mRNA 中的 5'-UTR 元件抑制脱帽和 3'-5' 核酸外切降解
*   对于某些应用，可能需要使 mRNA 不稳定以限制蛋白质生产的持续时间。这种效果可以通过将富含 AU 的元素整合到 3'-UTR 中来实现，从而确保 mRNA 的快速降解和蛋白质表达的短持续时间

*   编码区
*   用同义的频繁密码子替换稀有密码子提高了翻译产量
*   密码子上下文（即相邻的核苷酸和密码子）也会影响翻译延伸率和翻译效率
*   一些蛋白质需要缓慢的翻译，这是由稀有密码子保证的，才能正确折叠
*   当 IVT mRNA 由于核糖体移码而在不同的框架中翻译时，或者当在内部或从 CUG 起始密码子开始翻译时，可能会产生有效的隐蔽T细胞表位

### IVTmRNA的免疫刺激活性

在免疫细胞中，位于内体区室中的 Toll 样受体 TLR3、TLR7 和 TLR8 被内吞的 IVT mRNA 激活并诱导干扰素的分泌。TLR3 识别双链 RNA (dsRNA)，TLR7 和 TLR8 识别单链 RNA (ssRNA)。Poly(U) 是最有效的干扰素诱导剂，通过 TLR7 发挥作用。

细胞质 RNA 传感器介导免疫刺激并影响 mRNA 翻译的效率，最终导致翻译停滞、RNA 降解和直接抗病毒活性。这些作用部分是由激活蛋白激酶 RNA （PKR；也称为 EIF2AK2）介导的，它使真核翻译起始因子 2α (eIF2α) 磷酸化并最终抑制 mRNA 翻译。可以通过将天然存在的修饰核苷如假尿苷、2-硫尿苷、5-甲基尿苷、5-甲基胞苷或 N6-甲基腺苷掺入 IVT mRNA 来产生去免疫的 IVT mRNA；这已被证明可以抑制 IVT mRNA 的内在佐剂活性及其对翻译的抑制作用。此类修饰的 IVT mRNA 似乎避免了 TLR7 和 TLR8 的激活。

### 改善 mRNA 递送的进展

许多细胞类型可以自发吸收裸露的 mRNA。由清道夫受体介导的内吞作用内化的裸露 mRNA 在溶酶体中积累，只有少量 mRNA 从溶酶体泄漏到细胞质中。mRNA 释放到细胞质中的机制尚未得到很好的表征，并且可能因细胞类型而异。此外，mRNA 在细胞之间通过外泌体进行交换。在大多数细胞中，mRNA 的主动摄取效率低下并且在低 mRNA 剂量下饱和。未成熟的 DCs 是一个例外，它们专门在对其环境进行采样时不断吞噬细胞外液，因为它们通过大胞饮作用吸收 mRNA，从而以线性非饱和方式在几个数量级的浓度范围内高效地积累 mRNA。因此，为了递送到大多数细胞类型中，需要合适的制剂来保护 IVT mRNA 免受细胞外 RNase 介导的降解并促进其进入细胞。

与 IVT mRNA 的传递相关的挑战有两个：一个是要达到足够高的编码蛋白质的净水平，另一个是要达到大量的细胞。

大多数生理和病理过程，例如细胞迁移、细胞生长、伤口愈合、炎症和血管生成，都是由旁分泌信号控制的。因此，许多预期的临床应用涉及信号分子，例如趋化因子、细胞因子和生长因子，它们以旁分泌方式分泌并发挥其生物学功能。在这些情况下，总蛋白质的量对其生物学效应至关重要。只要释放足够剂量的编码蛋白质并到达其靶细胞，IVT mRNA 就可以通过血流或其他途径被递送至任何可接近的细胞类型。对于此类应用，用合成 mRNA 转染是一种合适的方法。对于有效的蛋白质激素如促红细胞生成素，全身递送 mRNA 似乎会导致足够的血浆水平，许多类型的聚合物和脂质体递送平台都可以使用肝细胞，因此靶向肝脏可能是生产大量重组蛋白的一种方法。

如果要通过 IVT mRNA 替代有缺陷或有缺陷的细胞内蛋白质，挑战就不同了。在这里，通过 IVT mRNA 转移恢复的细胞比例必须足够显着才能产生生物学影响。对于此类应用，转染靶细胞的比例而不是绝对蛋白质剂量至关重要。如果细胞在体外转染，大多数细胞类型的转染效率可达 80%。相比之下，在体内将 mRNA 递送到大部分已定义的靶细胞群中具有挑战性，并且取决于靶细胞的可及性。

*   体外转染策略
*   开发保护mRNA免受RNase介导的降解并促进其进入细胞的制剂
*   各种带正电荷的脂质，和其他含有聚合物的转染剂，如聚乙烯亚胺、阳离子多肽和树枝状大分子
*   电穿孔在 1982 年首次应用于基因转移，现在被确立为造血细胞类型体外mRNA 转染的首选方法。
*   用IVT或自体肿瘤衍生 mRNA 电穿孔的DC进行免疫治疗已被证明对癌症患者是安全的
*   在无菌条件下对大量细胞进行温和电穿孔的新型设备，为广泛的基于 IVT mRNA 的细胞治疗应用开发了一种快速的临床级protocol

*   体内转染策略
*   将裸露或鱼精蛋白复合 mRNA 疫苗皮内递送或直接注射到淋巴结
*   尽管递送裸露的 IVT mRNA 似乎足以诱导有效的免疫反应，但对于其他需要大量蛋白质并且靶向 DCs 以外的细胞类型的临床应用来说，这可能是不够的
*   IVT mRNA 向其他组织的全身递送受到无孔、不可渗透的血管内皮、细胞间连接和致密的细胞外原纤维网络的阻碍
*   siRNA 不能在由于生物屏障（例如无孔毛细血管）而无法直接进入的细胞中起作用；在具有内皮开窗的组织中，siRNA 可以到达与毛细血管相邻的几个组织层
*   pDNA 仅在暴露时在经历有丝分裂的那些细胞中掺入并具有活性
*   mRNA 或 pDNA 转染的血管内皮细胞，可以表达药理活性蛋白，并且通过旁分泌，可以到达位于 mRNA 递送屏障后面的靶细胞，转染细胞中产生的蛋白质能够在分泌到靶组织后扩散，并通过对相邻细胞群的旁分泌活动介导预期的生物学效应。这种旁分泌活动在具有无孔毛细血管的组织中可能具有特殊价值

靶向细胞如神经元和心肌或骨骼肌细胞尤其具有挑战性，因为它们不能直接接触到通过全身途径递送的纳米级载体。因此，针对 IVT mRNA在体内的治疗应用，正在测试不同的递送途径，例如肌肉内、皮内、结内、皮下、静脉内、气管内和鞘内递送。为了将药物输送到肺部，IVT mRNA 或者作为气溶胶给药，或者通过静脉内靶向肺脉管系统。可以通过鞘内注射到达中枢神经系统中的细胞。对于有效的癌症靶向，可以利用增强的渗透性和保留效应，这是实体瘤的独特现象，与它们与正常组织的解剖学和病理生理学差异有关。

### 临床前和临床应用

mRNA 技术的进步推动了 IVT mRNA 在众多临床前研究和少量临床试验中广泛治疗应用的探索。目前正在探索 mRNA 药物的三个主要治疗领域是免疫治疗、蛋白质替代疗法和再生医学应用。

#### 癌症免疫疗法

癌症免疫治疗是基于 mRNA 的技术在综合临床前和临床项目中系统探索历史最长的领域。1995 年，研究表明，肌内注射编码癌胚抗原的裸 RNA 可引发抗原特异性抗体反应。一年后，证明暴露于编码特定抗原的 mRNA 或从肿瘤细胞中提取的总 mRNA 并皮下注射到荷瘤小鼠体内的 DC 可诱导 T 细胞免疫反应并抑制已形成肿瘤的生长。这些发现，再加上由于克隆新的肿瘤抗原导致疫苗靶标的可用性不断提高，加速了 mRNA 转染 DC 方法的开发和临床转化。从那时起，在癌症患者中进行了许多使用基于体外IVT mRNA 转染的 DC 疫苗的临床试验，从而确定了这种方法的可行性和安全性。

使用 IVT mRNA 转染的 DC 的治疗方案得到进一步完善，例如，通过优化DC 的离体成熟或通过共同递送 IVT mRNA，该 IVT mRNA 编码免疫反应调节剂，如细胞因子和共刺激剂，从而增强患者的抗肿瘤活性。同时，Argos Therapeutics 已经启动了一项 III 期临床试验，使用载有自体肿瘤衍生的扩增 mRNA 的 DCs 用于晚期肾细胞癌患者。

细胞疗法昂贵且复杂。因此，编码肿瘤抗原的 IVT mRNA 的直接体内给药已被各个团体重新审视。不同的递送策略，例如阳离子脂质体和使用基因枪的轰击，都得到了不同程度的成功测试。

例如，皮内递送裸露或鱼精蛋白复合物、序列优化的 IVT mRNA 的临床试验表明，皮肤细胞会表达编码的抗原，这会导致 T 细胞和抗体反应9的诱导。此外，仅在皮内施用裸露的 mRNA 会导致诱导Th2型抗原特异性免疫反应。相比之下，向Th1型反应的强烈转变是通过共同递送佐剂如粒细胞 - 巨噬细胞集落刺激因子 (GM-CSF)或将 IVT mRNA 与鱼精蛋白复合来实现的。 鱼精蛋白复合 IVT mRNA 以及 mRNA 与 GM-CSF 结合的早期临床试验表明，用这些化合物进行皮内接种是可行的、安全的，并且可以诱导抗原特异性抗体和 T 细胞免疫反应。这种方法得到了进一步优化，产生了一种药物级双组分疫苗，结合了裸抗原编码 mRNA 和复合鱼精蛋白的 mRNA 佐剂（由 CureVac 开发）。这种疫苗在临床前研究中显示出有效的活性目前正在对前列腺癌和非小细胞肺癌患者进行正在进行的临床试验。

在另一种策略中，IVT mRNA 针对体内DC的原位转染进行了优化。这种方法的目的是提高 IVT mRNA 的翻译和稳定性，并增强 mRNA 编码的抗原在鼠和人DC的 MHC I 类和II类分子上的呈递。将裸露的 IVT mRNA 直接注射到淋巴结中被确定为诱导有效 T 细胞反应的最有效途径。IVT mRNA 通过巨胞饮作用被淋巴结驻留的 DCs 选择性和有效地吸收，并通过 TLR7 信号传导介导它们的成熟。在动物模型中， IVT mRNA 编码的抗原和免疫刺激性淋巴内环境的呈现诱导了强烈的Th1促炎型抗原特异性 T 细胞反应和深刻的抗肿瘤免疫。递送 IVT mRNA 后 DCs 的免疫反应可以通过共同施用作为重组蛋白的 DC 激活配体 FMS 相关酪氨酸激酶 3 (FLT3)或与所谓的 TriMix 共同转染 DCs，包括的 IVT mRNA 编码免疫调节剂 CD40L、CD70 和截短的组成型活性 TLR4。最近在黑色素瘤患者中开始了对结内注射裸 IVT mRNA 编码癌症抗原的首次人体测试。

由于其多功能性、稳健性和相对较低的成本，体内施用的 mRNA 技术可以促进癌症免疫治疗的个性化。第一种用于治疗癌症患者的个体化疫苗的临床试验刚刚开始。对每位入组患者的肿瘤标本进行新一代测序，并选择个体免疫原性突变来构建个性化的 IVT mRNA 疫苗，该疫苗编码由具有个体突变的对齐表位组成的多肽。因此，IVT mRNA 可能成为第一个根据个人基因组信息设计的药物。

除了主动免疫和免疫调节外，IVT mRNA 正在被研究作为免疫细胞瞬时调节的多用途工具。例如，编码肿瘤抗原特异性 T 细胞受体 (TCR) 或嵌合抗原受体 (CAR) 的 IVT mRNA 已通过电穿孔离体转染到 T 细胞或自然杀伤细胞中。携带此类 mRNA 编码受体的转染细胞能够识别并杀死表达靶抗原的肿瘤细胞。mRNA 的短暂性通过过继转移的免疫细胞不受控制的扩增降低了不良副作用的风险。已经评估了编码各种抗原特异性受体的 IVT mRNA，并在动物模型中证明了它们的抗肿瘤活性。最近，使用编码 CAR 的 IVT mRNA 电穿孔的 T 细胞的细胞疗法进入临床试验。

#### 针对传染病的疫苗

1993 年，研究表明，脂质体包裹的 IVT mRNA 编码流感核蛋白可在小鼠中诱导病毒特异性 T 细胞反应。最近，用合成脂质纳米颗粒配制的肌肉内递送、自我扩增的 IVT RNA 显示可在小鼠中诱导针对呼吸道合胞病毒 (RSV) 和流感病毒的保护性抗体反应。

目前，三种基于 IVT mRNA 的传染病疫苗方法已进入药物开发阶段。

为了治疗 HIV 感染，接受高效抗逆转录病毒治疗的患者用转染了编码 HIV 蛋白的 IVT mRNA 的 DC 进行免疫。使用 IVT mRNA 编码不同病毒蛋白组合的三项 I/II 期临床试验表明，疫苗是安全的，并且可以诱导抗原特异性 CD8 +和 CD4 + T细胞应答。在其中一项研究中，体外记录了抗原特异性 CD8 + T 细胞对 HIV 的抑制作用增强；然而，在临床试验中没有观察到抗病毒作用。

使用 IVT mRNA 作为预防性流感疫苗的两种不同策略目前正在进行临床前研究。第一种是基于皮内注射的双组分疫苗，其中含有 mRNA 佐剂和单独的编码流感血凝素抗原的裸 IVT mRNA 或与编码神经氨酸酶的 IVT mRNA 组合。两种方案都在老年和新生小鼠中诱导针对相应流感病毒株的保护性免疫反应，以及在雪貂和猪中产生持久的保护性免疫。

第二种策略使用包含正链 RNA 病毒序列的自我扩增 IVT mRNA。最初，该策略是针对黄病毒模型开发的，通过皮内递送少于 1 ng 的 IVT 基因组 mRNA（对应于减毒病毒），可以实现对黄病毒感染的保护性免疫。随后对基于 RNA 的传染病疫苗的研究集中在源自甲病毒家族的重组 RNA 复制子系统。其中编码结构蛋白的基​​因被编码病毒抗原的基因取代的 RNA 复制子载体已被用于在黄病毒、RSV、流感和副流感病毒感染的动物模型中引发保护性抗体反应。

#### 减轻过敏的疫苗

抗原特异性免疫疗法是免疫球蛋白 E (IgE) 介导的 I 型过敏性疾病的唯一治疗方式。调节 T 细胞反应的类型和诱导 IgG 抗体与 IgE 抗体竞争它们在过敏原上的结合位点是有效免疫疗法的主要作用模式。

最常见的超敏反应靶抗原的分子鉴定为重组疫苗方法奠定了基础。在临床前模型中，基于 DNA 的基因疫苗通过诱导抑制过敏原特异性 IgE 产生的Th1 型 T 细胞免疫反应来拮抗过敏机制。然而，基于 DNA 的过敏疫苗的临床转化受到安全性考虑的阻碍。结果表明，注射的 DNA 可以持续 2 周，并且可以从注射部位扩散到全身的免疫和非免疫组织，因此存在诱发严重过敏性副作用的潜在风险。在这方面，基于 IVT mRNA 的方法可能是有利的，因为 IVT mRNA 在细胞外空间中经历快速降解，并且可以被设计成具有较短的细胞内半衰期。结合 mRNA 强大的Th1免疫刺激能力，它可能比 DNA 更适合作为过敏疫苗的开发。在过敏性鼻炎的小鼠模型中，在抗原致敏之前皮内注射 IVT mRNA 可诱导持久的过敏原特异性Th1型免疫，这些反应保护小鼠免受过敏原特异性 IgE 的诱导，并抑制由过敏原暴露介导的肺部炎症。

#### 蛋白质替代疗法

补充未表达或无功能的蛋白质，以及替代激活或抑制细胞通路的外源蛋白质（例如治疗性抗体），是 IVT mRNA 药物最明显的应用。正在研究几种疾病，其中功能障碍的蛋白质被转染的 IVT mRNA体内产生的治疗性细胞内和分泌蛋白质所取代。所有这些努力都处于发展的临床前阶段。

1992 年报道了 IVT mRNA 用于替代有缺陷的、生理相关的蛋白质的第一个临床前应用，并且它仍然是近二十年来唯一的此类工作。修饰核苷可以降低 RNA 的免疫刺激活性这一发现对于推进这一应用领域至关重要。临床前实验表明，核苷修饰的 IVT mRNA 与改进的 mRNA 纯化方案一起使用可消除 mRNA 的免疫激活并增加其翻译，从而打开 IVT mRNA 在蛋白质替代领域的治疗应用。

IVT mRNA 含有修饰的核苷（2-硫尿苷和 5-甲基胞苷）并编码表面活性剂蛋白 B (SPB)，在由缺乏 SPB 蛋白引起的先天性致死性肺病小鼠模型中进行了测试。每周两次将_SPB_ mRNA气溶胶递送到肺部可保护小鼠免于呼吸衰竭并延长其平均寿命。在小鼠和猕猴的实验中，给予通过高效液相色谱纯化并编码促红细胞生成素的假尿苷修饰的 IVT mRNA，并检测到治疗相关水平的促红细胞生成素。在哮喘疾病模型中，编码调节性 T 细胞转录因子叉头盒蛋白 P3 (FOXP3) 的核苷修饰 mRNA 的气管内递送重新平衡了肺Th细胞反应并保护小鼠免受过敏原诱导的组织炎症和气道高反应性。研究还表明，在心肌梗死小鼠模型中，直接心肌内注射含有假尿苷和 5-甲基胞苷并编码血管内皮生长因子 A (VEGFA) 的 IVT mRNA 可改善心脏功能并提高长期存活率。在另一项研究中，离体转染小鼠间充质干细胞含有假尿苷的 IVT mRNA 编码免疫抑制细胞因子白细胞介素 10 (IL-10) 和组织归巢因子 P-选择素糖蛋白配体 1 (PSGL1) 和 Sialyl-Lewis(x) (SLeX)。重新注射后，这些细胞归巢于发炎的组织并促进快速愈合。

尽管取得了这些成就，但以蛋白质替代为目的的 IVT mRNA 药物的开发仍面临技术挑战。对于基于 IVT mRNA 的蛋白质递送，必须考虑翻译后修饰中细胞类型特异性的差异。例如，对于糖蛋白，糖缀合物的组成不编码在 mRNA 中，它取决于产生蛋白质的组织类型。并非每个细胞都能正确糖基化每种蛋白质，尤其是在需要高度复杂的糖基化时。另一种类型的翻译后修饰是蛋白水解加工。内切蛋白酶的加工是各种功能性多肽成熟的一个组成部分，包括生长因子、细胞因子、受体、神经肽、酶、激素和血浆蛋白。其他蛋白质需要通过蛋白质转化酶对其进行明确的切割，使其具有生物活性形式，这发生在高尔基体和分泌颗粒的细胞内。已鉴定出具有不同特异性和组织分布的几种转化酶亚型。用 IVT mRNA 转染的细胞需要具有所需的转化酶或内切蛋白酶来将编码的前体加工成功能性产物。

当分泌的蛋白质在异源组织中表达时，它们的分泌信号肽可能很难被识别，并且大部分蛋白质可能保留在细胞内。相对分泌信号强度不同；因此，交换天然信号肽可能导致蛋白质分泌增加。例如，在质粒介导的肌肉中促红细胞生成素表达的动物模型中，当促红细胞生成素的天然信号肽被组织型纤溶酶原激活物取代时，促红细胞生成素的分泌量显着增加。为了达到最大效果，理想情况下，IVT mRNA 应转染到自然分泌编码蛋白的细胞中，否则可能需要优化信号肽。

将 IVT mRNA 用于广泛的蛋白质替代应用具有相当大的兴趣，包括目前正在使用重组蛋白解决的应用以及无法使用重组蛋白技术的应用。鉴于可能是 IVT mRNA 方法的潜在候选蛋白质的多样性，并且目前正在对其进行探索，因此很难预测其中哪些将首先进入临床开发。对于具有广泛治疗窗、低剂量活性以及已在人类中建立的药代动力学和药效学理解的蛋白质，发育障碍可能较低。

#### 细胞命运的重编程

可以使用核苷修饰的 IVT mRNA在体外调节细胞表型和功能。2010 年，证明含有假尿苷和 5-甲基胞嘧啶并编码山中干细胞因子的 IVT mRNA可作为一种安全策略，用于有效地将细胞重编程为多能性，而不会留下转基因的残留痕迹。IVT mRNA 不仅用于诱导多能性，还用于分化诱导多能干细胞 (iPSC)。将核苷修饰的 IVT mRNA 编码成肌细胞决定蛋白引入 iPSC 导致其直接分化为肌细胞样细胞。

从那时起，已经描述了原始方法的几种变体，它们声称更有效地诱导多能干细胞或细胞命运转换。具有 IVT mRNA 的细胞的重编程和直接分化得益于其高体外转染效率、无基因组整合的瞬时表达以及转移复杂混合物的能力。IVT mRNA 诱导的 iPSCs 中缺乏转基因残留表达不仅有利于它们在疾病建模和毒理学测试中的应用，而且为它们在再生医学中的应用奠定了基础。类似地，IVT mRNA 转移可用于产生具有临床价值的分化细胞。

#### 使用 IVT mRNA 编码的工程核酸酶进行基因组编辑

在过去十年中，基因组编辑已成为基因治疗的潜在替代方案。定制设计的锌指核酸酶 (ZFN)、转录激活因子样效应核酸酶 (TALEN) 和 CRISPR–Cas9（成簇的规则间隔的短回文重复序列–CRISPR 相关蛋白 9）为基因组的位点特异性修饰提供了强大的工具。 然而，这些方法存在非特异性编辑的风险。从基于 DNA 的载体翻译的编辑酶的长期存在导致脱靶效应。由于核酸酶只需要很短的时间，它们从 IVT mRNA 的瞬时表达将最大限度地减少这种非特异性效应。编码 ZFN、 TALEN和Cas9的 IVT mRNA 已成功应用于编辑基因组，方法是破坏或整合来自不同物种（例如小鼠、大鼠和兔子）的胚胎细胞和啮齿动物体内的序列。最近，通过在单细胞胚胎阶段注射编码 Cas9 的 IVT mRNA 产生具有位点特异性基因修饰的食蟹猴，从而为创建人类疾病的灵长类动物模型提供了机会。

转座酶编码 IVT mRNA 也被用于体外和体内转座子介导的稳定基因转移。例如，睡美人、piggyBac 或 Tol2 转座子系统的转座酶通过注射其 mRNA 的表达导致哺乳动物细胞和啮齿动物体内的稳定基因组转座。

使用 IVT mRNA 而不是质粒表达转座酶提高了注射细胞的存活率，因为在细胞质中注射比原核注射更温和。通过缩短峰值翻译的持续时间，该方法的生物安全性增加，因为转基因再动员的可能性降低。

### IVT mRNA的临床翻译

通过依靠患者的身体来制造所需的蛋白质，IVT mRNA 药物提供了一种方法，在这种方法中，治疗性蛋白质的稳健和可调生产是可能的，无需在发酵罐中昂贵的蛋白质制造。与这些独特功能相关的是，利用 IVT mRNA 将有助于应对新兴技术中的挑战，例如靶向基因组工程、干细胞的生成和重编程以及按需个性化疫苗的生产。

为了充分发挥 mRNA 作为治疗方式的潜力，需要认真考虑有关临床和产品开发的监管和科学问题。

迄今为止，IVT mRNA药物的临床经验仅限于免疫治疗应用。在单独使用 IVT mRNA 或 IVT mRNA 转染的 DCs 疫苗开发领域的临床项目中，很少有先进到足以为其他应用提供足够广泛的知识基础。对于每种应用，必须对治疗方案的变量（例如剂量、治疗方案和给药途径）进行完善的系统探索，以确定合适的治疗方案。

早期临床试验的共同目标是探索药物的药代动力学特征并进行剂量发现。然而，mRNA 药物的药理学是复杂的，因为 IVT mRNA 不是最终的药理学活性剂。到目前为止，尚未充分研究其编码的蛋白质的生物利用度是否可以在临床条件下得到稳健和精确的控制，这尤其具有挑战性，因为个体间和个体间的高变异性。伴随药物也需要考虑，特别是当 IVT mRNA 疗法与其他影响 mRNA 代谢和翻译的药物联合使用时，例如某些抗生素和抗癌药物。

与 mRNA 的复杂药理学相关的其他关键挑战，尤其是其传递，涉及需要精确靶向特定细胞类型和器官的应用。

### 安全考虑

用于免疫治疗的 IVT mRNA 的临床经验证明了良好的耐受性和安全性，并表明 mRNA 药物没有平台固有的重大风险。

然而，对于基于 mRNA 的疗法的大多数其他应用，包括基于 mRNA 的蛋白质替代疗法，还没有临床经验，这使得开发人员和监管机构不确定可能发生的安全问题的性质和频率。

与其他药物类别相关的各种安全风险不适用于基于 mRNA 的疗法。IVT mRNA制造相对简单，制造过程和产品质量均一且易于控制。由于不涉及细胞和动物成分，与重组蛋白相比，IVT mRNA 的过程相关风险要低得多。

然而，必须考虑各种风险因素。

#### **IVT mRNA 介导的免疫机制激活**

IVT mRNA 的免疫激活特性是从安全角度考虑的一个重要特征，特别是对于全身给药的 IVT mRNA。潜在的机制正在被广泛研究。如上所述，先天免疫系统的几种信号受体，包括 TLR3、TLR7 和 TLR8，已显示介导 mRNA诱导的免疫激活和细胞因子分泌。在临床前研究中，干扰素-α、IL-6、肿瘤坏死因子-α和干扰素-γ诱导蛋白10（IP-10；也称为CXCL10）被确定为通过全身IVT mRNA递送上调的关键细胞因子。分泌细胞因子的免疫激活和分布取决于 IVT mRNA 的配方，包括粒径。

在动物身上进行的安全性研究是可取的，但由于物种特异性差异，可能并不完全确定。为了补充动物研究，应_在体外_测试 IVT mRNA 制剂对人类白细胞的药效学影响。由于免疫激活是剂量依赖性的，因此建议采用低起始剂量和密切监测患者的保守剂量递增方案。未来的研究将显示核苷修饰的 IVT mRNA 是否会在临床环境中避免人类 TLR 的激活。

对于 IVT mRNA 作为疫苗的应用，需要瞬时免疫激活。然而，作为临床研究计划的一部分，剖析每种 mRNA 药物的免疫调节作用的确切性质并评估它是否确实是需要的，这一点很重要。例如，应避免引入干扰素-α，它会减慢翻译机器的速度。

目前的数据并未表明对 IVT mRNA 本身有任何免疫原性的诱导。然而，越来越多的证据表明，患有系统性红斑狼疮和其他自身免疫性疾病的患者可以产生抗自身 RNA 自身抗体，这些抗体在自身免疫的诱导和进展中发挥作用。因此，在某些情况下，例如长期重复全身应用 mRNA，抗 RNA 抗体可能会形成和介导免疫病理学。人们可能会考虑筛选 mRNA 序列以避免易于诱导 mRNA 特异性抗体的构象。因此，建议对自身免疫现象进行临床监测并进行抗核抗体的实验室检测。

#### **IVT mRNA 编码蛋白的免疫原性**

对于重组蛋白，众所周知，意外的免疫原性可能导致不良事件，例如过敏反应、细胞因子释放综合征和输液反应。此外，免疫反应可能会中和蛋白质药物以及内源性蛋白质对应物的生物活性。一个突出的例子是诱导治疗性促红细胞生成素的中和抗体通过与内源性促红细胞生成素的交叉反应引起猴子和人类的红细胞再生障碍。

原则上，抗蛋白抗体可以针对任何 IVT mRNA 表达的蛋白产生，特别是在重复给药方案的情况下。

然而，与重组蛋白质药物相比，体内产生的蛋白质治疗剂是自体的，在人体细胞中产生，并且可能经历正确的翻译后修饰和折叠。此外，与蛋白质制造过程相关的免疫原性风险因素，例如蛋白质聚集或来自产生蛋白质的细胞或培养基的杂质，不会发生在 IVT mRNA 中。

由于针对治疗性蛋白质产品的大多数免疫介导的副作用是由体液机制介导的，因此针对治疗性蛋白质产品的循环抗体已成为定义免疫反应的主要标准。这些应该在 IVT mRNA 介导的蛋白质替代方法的临床研究中进行筛选。

还可以想象，外源蛋白的表达以及由 mRNA 骨架介导的促炎作用可能导致组织水平的免疫病理学。对于免疫治疗方法，这可能无关紧要，因为抗原呈递细胞是 mRNA 传递的靶细胞，一旦它们转变为成熟状态，它们的寿命就会很短。然而，如果目标是其他器官，如肝脏、肾脏、肺或心肌，则需要解决这种风险。正在追求的各种应用都使用肝脏作为靶器官，因为已经显示（至少对于各种 siRNA 递送平台）基于核酸的药物默认路由到肝脏，因此可以实现肝脏靶向无需进一步优化交付。由于肝毒性可能危及生命，因此需要特别小心，并且需要测量转氨酶等肝酶。然而，鉴于该器官独特的免疫学特性，使用肝脏作为第一代基于 mRNA 的蛋白质替代疗法的蛋白质表达的储存器官甚至可能降低风险，因为它具有诱导抗原的能力。特定的耐受性可能会抵消免疫原性。

#### **与非天然核苷酸相关的风险**

高度丰富的细胞外 RNases 已发展成为细胞外空间中 RNA 水平的强大控制机制。预计由天然核苷酸组成的 IVT mRNA 药物的吸收、分布、代谢和排泄曲线不会存在重大风险，因为人体每天会分解大量的天然 mRNA。然而，这可能不适用于含有非天然修饰核苷酸的研究性 mRNA 药物。多核苷酸结构中非天然核苷酸或其代谢物的分解代谢和排泄机制以及对其他毒性相关途径的潜在不良交叉影响以及与这些相关的潜在风险仍然未知。

这一警告得到了来自非天然核苷类似物的观察结果的支持，这些核苷类似物被用作干扰病毒和肿瘤细胞复制的抗病毒和抗癌药物。许多这些核苷类似物表现出意想不到的线粒体毒性与核苷转运蛋白的功能相关。用于治疗 HIV 感染患者的核苷类逆转录酶抑制剂会导致严重的临床毒性（例如，肌病、多发性神经病、乳酸性酸中毒、肝脂肪变性、胰腺炎和脂肪营养不良）“包括线粒体功能障碍引起的致命并发症。非天然修饰核苷的这些不利影响是由 DNA 聚合酶 γ 的抑制引起的，这种酶仅负责线粒体 DNA 复制，阻断线粒体 DNA_从头_合成[201](https://www.nature.com/articles/nrd4278#ref-CR201)。由于核苷转运蛋白 1 的亚细胞定位存在种间差异，因此在小鼠和大鼠的临床前研究中未发现这些风险。

在临床试验设计中，核苷类似物的潜在毒性应通过保守的剂量递增方案和对风险器官的密切评估来认真解决。安全监测必须考虑到只有在长期使用核苷类似物治疗后才会出现不良反应。

#### 关于编码蛋白质的安全考虑

除了上述风险之外，还必须考虑由编码蛋白质的性质和应用类型决定的“内容”特定风险。这些基因执行的基因数量和作用方式是高度多样化的。因此，无法提供一般详尽的风险评估；相反，必须根据具体情况尽职评估风险。

根据具体应用，确保体内转移的 RNA 仅进入其预期的细胞类型可能是一项重要的安全措施。

另一个警告涉及在给药方面具有挑战性的蛋白质，例如治疗窗窄或剂量反应关系陡峭的蛋白质。此类蛋白质靶点的关键挑战是控制其生物利用度的稳健性和保真度，并通过密切监测、单独调整的给药方案来解决潜在的个体间差异。

### 结论和观点

如本综述所述，癌症免疫疗法是唯一一个临床试验和 mRNA 药物制造工业化处于后期阶段的领域。对于感染性疾病的疫苗接种，IVT mRNA 处于早期临床试验阶段，而在所有其他医学应用中，例如蛋白质替代，它处于临床前阶段。

mRNA 的不稳定性（最初被认为是 RNA 药物开发的主要障碍）已得到有效解决。通过调节 mRNA 翻译和 mRNA 代谢的结构元件，可以实现细胞内稳定性，并将 mRNA 翻译活性的半衰期从几分钟调整到几天，现在用于 IVT mRNA 的设计。

正在通过开发配方来解决细胞外稳定性问题——例如，鱼精蛋白和纳米颗粒载体。IVT mRNA去免疫技术的进展促进了动物模型中mRNA炎症活性的控制。此外，对于mRNA药物的生物制药开发，专利和知识产权问题已经奠定了初步基础。

IVT mRNA 可以在几小时内以相对较低的成本制造出来，而且生产和纯化过程非常稳健，能够产生长度从几百到超过 10,000 个核苷酸不等的 mRNA。生产过程的稳健性和易用性促进了药物发现和迭代药物优化的高通量方法的实施。一旦确定了临床 mRNA 候选药物，可以在几个月内进行工艺优化和临床级良好生产规范 (GMP) 生产。根据我们的经验，IVT mRNA 用于临床研究的 GMP 批次的生产成本平均比在真核细胞中生产的重组蛋白治疗剂低 5 到 10 倍。

令人满意的解决方案仍然悬而未决的主要挑战，特别是对于非免疫疗法相关的体内应用，是针对体内所需的器官或细胞类型以及IVT mRNA 的复杂药理学。这意味着跨组织和患者的一致剂量问题可能成为体内给药 IVT mRNA 临床开发的重要障碍。如上所述，目前仍不清楚如何将 IVT mRNA 准确递送至靶细胞类型以及如何达到正确的治疗剂量水平。此外，在比较独立的给药途径时，尚未彻底研究 mRNA 剂量 - 蛋白质 - 效应关系是否在个体之间甚至个体内部发生变化。

在这方面，使用离体转染的细胞与 IVT mRNA，特别是对于免疫治疗方法，可以被视为“唾手可得的果实”。对于免疫治疗，相对少量的 IVT mRNA 编码相应的抗原就足以获得强大的疗效信号，这进一步得到了 mRNA 内在佐剂活性的支持。此外，作为基于 mRNA 的疫苗递送的靶标的专业抗原呈递细胞组成性地配备了一种专门的 mRNA 摄取机制。除了癌症免疫疗法的应用之外，基于 mRNA 的疫苗开发也可能为管理新出现的流行病创造机会。合成 DNA 技术的最新进展使得能够快速准确地合成编码任何潜在靶抗原的基因。大规模制造适合体外转录的 DNA 模板的快速组装合成基因可以加速基于 mRNA 的疫苗生产的整个过程。

当将 IVT mRNA 疗法扩展到蛋白质替代疗法等应用时，需要仔细解决给药的递送、可剂量性和稳健性，以及体内施用的 mRNA 药物的组织选择性。此外，不需要免疫刺激。因此，推进非免疫疗法应用的障碍更高，并且通过免疫疗法领域的溢出效应加速其加速是有限的。对于许多蛋白质替代疗法应用，IVT mRNA 递送可以通过优化现有递送工具来成功实现。最合理的方法是选择目标组织容易接近、编码的蛋白质即使在低剂量下也有活性并具有广泛治疗窗口的疾病。

为了将 mRNA 发展为一种生物制药，mRNA 技术平台必须成为一个与行业兼容的过程。对于体外用于细胞治疗应用的 IVT mRNA，这将受到细胞治疗面临的具有挑战性的工业化障碍的限制。体内IVT mRNA相比之下，使用在一般药物特性方面遵循“平台”特定模式，其制造简单、成本效益高且不存在特定挑战。进展还取决于过程自动化将如何发展以及专业公司是否可以为此目的提供标准或定制设备。对于寻求外包制造的以产品为基础的公司，服务提供商数量少可能会阻碍项目规划和时间表。围绕核心mRNA药物产品的服务和供应业多元化格局的发展已经开始并将促进产业化。

在基因治疗和 siRNA 相邻领域的失望和失败的阴影下，mRNA 领域已经得到了应有的谨慎。避免了过早采用新技术、存在不必要的安全风险的临床试验以及行业领导者和投资者不切实际的期望等主要错误。基于彻底的临床前探索和对潜在机制的理解，已经启动了正在进行的临床测试计划。建议进一步保持这种谨慎态度。